/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 

.modal {

  visual-query-editor {
    height: 100%;

    .fh {
      height: 100% !important;
    }

    .results-container {
      position: absolute;
      top:0;
      bottom: 0;
      margin-top: 44px;
      overflow-y: auto;
      overflow-x: hidden;
      outline-offset: -2px;
      width: 100%;
      height: auto;
      &::-webkit-scrollbar {
        width: 8px;
      }
      &::-webkit-scrollbar-thumb {
        background-color: #888;
      }
      &::-webkit-scrollbar-track {
        background-color: #f0f0f0;
      }
    }

    #results-map {
      height: 100%;
    }
  }

}

/**
* Offcanvas + modal
*/
.vqe-offcanvas, .vqe-modal {
  .ngdialog-content {
    .modal-footer {
      position: relative;
      box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    }
  }
}

/**
* Offcanvas
*/
.vqe-offcanvas-container {
  .vqe-offcanvas-open & {
    overflow: hidden;
  }
}

.vqe-offcanvas  {
  position: absolute;
  -webkit-overflow-scrolling: touch;
  z-index: 10000;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;

  .ngdialog-overlay {
    position: absolute;
    background: rgba(0, 0, 0, 0.4);
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    -webkit-backface-visibility: hidden;
    animation: vqe-ngdialog-fadein 0.5s;
  }

  .ngdialog-content {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    padding: 0;
    background: white;
    -webkit-backface-visibility: hidden;
    animation: vqe-ngdialog-fadein 0.5s,
    vqe-ngdialog-translatein 0.5s;
    pointer-events: all;
    box-shadow: 0 0px 30px rgba(0, 0, 0, 0.5);
    width: 60%;

    .modal-body {
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      margin-bottom: 55px;
    }

    .modal-footer {
      position: absolute;
      box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
      padding:10px;
      width: 100%;
      bottom:0;
      z-index: 1;
      background: #FFF;
    }
  }

  &.ngdialog-closing .ngdialog-overlay {
    -webkit-backface-visibility: hidden;
    animation: vqe-ngdialog-fadeout 0.5s;
  }
  &.ngdialog-closing .ngdialog-content {
    -webkit-backface-visibility: hidden;
    animation: vqe-ngdialog-fadeout 0.5s, vqe-ngdialog-translateout 0.5s;
  }
}

/**
* Modal
*/